2.2.8 wont upgrade my 2.2.7

Discussion in 'Installation/Configuration' started by bwrob, Nov 22, 2006.

  1. bwrob

    bwrob New Member

    Hi
    Attempted to upgrade from 2.2.7
    to 2.2.8 but it comes back with an error
    that:
    php binary that comes with 2.2.8 is
    not comatable with my system.

    Suse 9.3 with php 5.0.3-14.32

    bob
     
  2. paulrobert_a

    paulrobert_a New Member

    yeah I've got the same problem, attempted to upgrade got the same compile error when it came to php.

    ubuntu 5.10
     
  3. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    Which compile error? The first post does not contain a php compilation error message. Please post the exact error message from the PHP compilation output.

    Before you start the setup again, you will have to restore the current ISPConfig installation from the backups that are in your /tmp directory.
     
  4. gavin

    gavin New Member

    Same issue here

    It seems as though the error comes up at the gcc comiler instance when PHP is being installed.

    gcc is shown to be not ok/present (although installed ver gcc version 4.0.3 (Ubuntu 4.0.3-1ubuntu5))

    After that, all modules (clamav.tar.gz, asp.tar.gz) show up as failed (could not stat -- file does not exist?)

    Don't have the exact error anymore because I went straight back to look for the backups (which are gone, it seems?) and the system is broken...

    Before "Lex" was shown to be found, "Gcc" was found, too...

    Exact message from log:

    Wed Nov 22 18:20:37 SAST 2006 - [ISPConfig] - deleted directory /root/ispconfig/
    Wed Nov 22 18:30:31 SAST 2006 - [ISPConfig] - WARNING: could not unpack ISPConfig system
    Wed Nov 22 18:30:38 SAST 2006 - [ISPConfig] - ERROR: The PHP binary coming with
    ISPConfig does not work properly on your system! The installation routine stops
    here!
     
    Last edited: Nov 22, 2006
  5. bwrob

    bwrob New Member

    last few lines from install log:
    Wed Nov 22 07:24:16 PST 2006 - [ISPConfig] - deleted directory /root/ispconfig/
    Wed Nov 22 07:30:38 PST 2006 - [ISPConfig] - WARNING: could not unpack ISPConfig system
    Wed Nov 22 07:30:44 PST 2006 - [ISPConfig] - ERROR: The PHP binary coming with ISPConfig does not work properly on your system! The installation routine stops here!

    I did my own backup before i did attempted the upgrade
    so, it was a matter of reinstalling it.

    Server works fine but with 2.2.7 on it.

    Maybe this would help.
     
    Last edited: Nov 22, 2006
  6. gavin

    gavin New Member

    I don't see the unpacked binaries in install_ispconfig/binaries -- are those the ones being stat'd -- if so, they're missing?
     
  7. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer


    The compiler output is not in the install log. Please check if the ISPConfig mysql database is still there. What is the output of:

    ls /tmp/*.gz
     
  8. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    They are misiing because of the compilation failure. Without the error message of the compiler output I cant say what causes this problem.

    I just ran a update on a debian 3.1 installed with the perfect setup instructions and it compiled without errors.
     
  9. Traxus

    Traxus New Member

    I was also unable to upgrade from 2.2.7 to 2.2.8. Bellow is the error message I got while building it on my Suse 10 instalation. If You require any extra info, please let me know.

    Code:
    Configuring libtool
    checking build system type... i686-pc-linux-gnu
    checking for ld used by gcc... /usr/i586-suse-linux/bin/ld
    checking if the linker (/usr/i586-suse-linux/bin/ld) is GNU ld... yes
    checking for /usr/i586-suse-linux/bin/ld option to reload object files... -r
    checking for BSD-compatible nm... /usr/bin/nm -B
    checking how to recognise dependent libraries... pass_all
    checking for object suffix... o
    checking for executable suffix... no
    checking for c++... no
    checking for g++... no
    checking for gcc... gcc
    checking whether the C++ compiler (gcc   ) works... no
    configure: error: installation or configuration problem: C++ compiler cannot create executables.
    ERROR: Could not configure PHP
    cd: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
    mv: cannot stat `binaries/aps.tar.gz': No such file or directory
    mv: cannot stat `binaries/spamassassin.tar.gz': No such file or directory
    mv: cannot stat `binaries/uudeview.tar.gz': No such file or directory
    mv: cannot stat `binaries/clamav.tar.gz': No such file or directory
    mv: cannot stat `binaries/cronolog': No such file or directory
    mv: cannot stat `binaries/cronosplit': No such file or directory
    mv: cannot stat `binaries/ispconfig_tcpserver': No such file or directory
    mv: cannot stat `binaries/zip': No such file or directory
    mv: cannot stat `binaries/unzip': No such file or directory
    tar: spamassassin.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `spamassassin': No such file or directory
    tar: uudeview.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `uudeview': No such file or directory
    tar: clamav.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    mv: cannot stat `clamav': No such file or directory
    tar: aps.tar.gz: Cannot open: No such file or directory
    tar: Error is not recoverable: exiting now
    tar: Child returned status 2
    tar: Error exit delayed from previous errors
    ./setup2: line 849: ispconfig_tmp/php/bin/php: No such file or directory
    ERROR: Das mitgelieferte PHP-Binary funktioniert auf Ihrem System nicht! Die Installation bricht hier ab!
    mars:~/install_ispconfig #
    
     
  10. gavin

    gavin New Member

    On my system, all db_ispconfig tables are still there (last update at 18h20 -- traffic data).

    ls /tmp/*.gz output has two home_adminispconfig and root_ispconfig backups (last one from 10_11_2006 -- I think the date of the last update?)

    /tmp/home_admispconfig_08_09_2006__15_51_35.tar.gz
    /tmp/home_admispconfig_10_11_2006__14_48_14.tar.gz
    /tmp/root_ispconfig_08_09_2006__15_51_35.tar.gz
    /tmp/root_ispconfig_10_11_2006__14_48_14.tar.gz
     
  11. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    It looks like you dont have a c++ compiler installed.

    If you use debian / ubuntu, you might check and install it with this command:

     
  12. Traxus

    Traxus New Member

    Hm, that would be odd, since thats the same machine I compiled about 5 versions of ISPConfig before. Lemme check....
     
  13. bwrob

    bwrob New Member

    My

    server:/ # ls /tmp/*.gz
    /tmp/home_admispconfig_10_01_2006__10_19_42.tar.gz
    /tmp/home_admispconfig_10_11_2006__06_30_20.tar.gz
    /tmp/root_ispconfig_10_01_2006__10_19_42.tar.gz
    /tmp/root_ispconfig_10_11_2006__06_30_20.tar.gz
     
  14. Traxus

    Traxus New Member

    Negative, GCC is installed (if I read this right, its version 4.0.2). I am using Suse 10.
     
    Last edited: Nov 22, 2006
  15. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    Ok, you seem to have backups, but not the latest from todays update.

    1) Make a copy of the backup files in a secure place outside the /tmp directory. There is also a file with the ending .sql that you will have to backup.

    2) To restore a backup, copy the tar.gz files to /.

    example:

    Code:
    cp  /tmp/home_admispconfig_10_11_2006__14_48_14.tar.gz /home_admispconfig_10_11_2006__14_48_14.tar.gz
    Code:
    cp /tmp/root_ispconfig_10_11_2006__14_48_14.tar.gz /root_ispconfig_10_11_2006__14_48_14.tar.gz
    Then go to the / directory and unpack the backups:

    Code:
    cd /
    tar xvfz /home_admispconfig_10_11_2006__14_48_14.tar.gz
    tar xvfz /root_ispconfig_10_11_2006__14_48_14.tar.gz
    3) Start ISPConfig:

    Code:
    /etc/init.d/ispconfig_server start
    and try if you can login to the interface and everything is working again.

    If not, you will have to restore the .sql dump from the /tmp directory to the ISPConfig database.

    4) Now make sure you have a c++ compiler installed and run the update again.
     
  16. gavin

    gavin New Member

    Gcc installed here, too -- just installed g++-4.0 libstdc++6-4.0-dev on top of that -- any way of restarting the installation using previous configuration settings (ie upgrade not full reinstall) to test?

    OK -- system is back up on 2.2.7 -- retrying upgrade to 2.2.8 after g++ installation (was never necessary before?)
     
    Last edited: Nov 22, 2006
  17. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    Are you sure that the cpp and g++ packages which contain the c++ and not only c compiler is installed. You may have gcc installed without the c++ packages. On Debian and ubuntu they are separated.

    If these packages where installed on your server, the compilation must have stopped for another reason. You ran the setup as root user and not with sudo or something like that?
     
  18. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    Please see my instructions above.

    If I remember correctly, GCC is the c compiler only and g++ is the c++ compiler.
     
  19. bwrob

    bwrob New Member

    My
    find . -noleaf -name "*g++*"
    Shows non
    But Ispconfig was compiling fine on earlier versions.
    Suse9.3
     
  20. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    The problem is not the compilation of ISPConfig, the problem is the compilation of PHP 5.2. It looks like the latest php version needs a c++ compiler too.

    Please use yast to find the c++ compiler package for your SuSE version and install it.
     

Share This Page